net.i2p.desktopgui

## Class InternalTrayManager

- java.lang.Object
- - net.i2p.desktopgui.TrayManager
  - - net.i2p.desktopgui.InternalTrayManager

-     class InternalTrayManager
      extends TrayManager

  Tray manager for internal use with full router context access. Provides comprehensive I2P management through system tray including restart, shutdown, browser launch, and configuration options. Requires router.jar for complete functionality.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.desktopgui.TrayManager

      `_appContext, _jnotificationItem1, _jnotificationItem2, _notificationItem1, _notificationItem2, _showNotifications, _useSwing, PROP_NOTIFICATIONS, tray, trayIcon`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalTrayManager(RouterContext ctx, Main main, boolean useSwing)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configureNotifications(boolean enable)` Does not save.
    `PopupMenu` | `getMainMenu()` Build a popup menu, adding callbacks to the different items.
    `JPopupMenu` | `getSwingMainMenu()` Build a popup menu, adding callbacks to the different items.
    `void` | `startManager()` Add the tray icon to the system tray and start everything up.
    `protected void` | `updateMenu()` Update the menu

    - ### Methods inherited from class net.i2p.desktopgui.TrayManager

      `_t, _t, displayMessage, initializeJNotificationItems, initializeNotificationItems, languageChanged, stopManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalTrayManager

          public InternalTrayManager(RouterContext ctx,
                                     Main main,
                                     boolean useSwing)

  - ### Method Detail

    - #### configureNotifications

          protected void configureNotifications(boolean enable)

      Description copied from class: `TrayManager`
      Does not save. See InternalTrayManager.
      Overrides:
        `configureNotifications` in class `TrayManager`

    - #### getMainMenu

          public PopupMenu getMainMenu()

      Description copied from class: `TrayManager`
      Build a popup menu, adding callbacks to the different items.
      Specified by:
        `getMainMenu` in class `TrayManager`
      Returns:
        popup menu

    - #### getSwingMainMenu

          public JPopupMenu getSwingMainMenu()

      Description copied from class: `TrayManager`
      Build a popup menu, adding callbacks to the different items.
      Specified by:
        `getSwingMainMenu` in class `TrayManager`
      Returns:
        popup menu

    - #### startManager

          public void startManager()
                            throws AWTException

      Description copied from class: `TrayManager`
      Add the tray icon to the system tray and start everything up.
      Overrides:
        `startManager` in class `TrayManager`
      Throws:
        `AWTException`

    - #### updateMenu

          protected void updateMenu()

      Update the menu
      Specified by:
        `updateMenu` in class `TrayManager`